Subject: outline-mode: New keybindings for demote/promote/move-subtree

From: Stefan Kangas <[email-masked]>
Date: Thu, 7 May 2020 16:49:46 -0400

Severity: wishlist

Please consider adding the following keybindings to outline-mode:

(define-key outline-minor-mode-map (kbd "M-<left>") 'outline-demote)
(define-key outline-minor-mode-map (kbd "M-<right>") 'outline-promote)
(define-key outline-minor-mode-map (kbd "M-<up>") 'outline-move-subtree-up)
(define-key outline-minor-mode-map (kbd "M-<down>") 'outline-move-subtree-down)

They are already there in Org-mode and many users swear by them.

Background:
https://lists.gnu.org/archive/html/emacs-devel/2020-04/msg01887.html

These keybindings were first suggested by Howard Melman in the above
thread.

Best regards,
Stefan Kangas